Bug 60341 - Does not uncompress files before mailing as per man page
Does not uncompress files before mailing as per man page
Product: Red Hat Linux
Classification: Retired
Component: logrotate (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2002-02-25 20:01 EST by Charles Seraphine
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-25 20:01:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Charles Seraphine 2002-02-25 20:01:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20011226

Description of problem:
The man page implies that compressed logfiles will be mailed uncompressed.  This
is not the case; if you turn on compression, then logrotate will not decompress
the log before mailing.  This makes parsing the log file at your automated
log-collector darn tricky.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Set mail and compress directives in logrotate config file
2.Run logrotate


Actual Results:  The file will be sent in compressed form (if sendmail doesn't gag).

Expected Results:  The file should be decompressed before being sent.

Additional info:

Excerpt from the man page:

They  are
       rotated whenever is grows over 100k is size, and the old logs files
       are mailed (uncompressed) to www@my.org after going through 5 rota-
       tions, rather then being removed.

Ideally, the feature should be implemented as described.  Failing that, we
should at least fix the man page to reflect reality.
Comment 1 Elliot Lee 2002-04-15 15:20:07 EDT
From reading the logwatch code, it appears that it only uncompresses mailed logs
if you use the 'mailfirst' keyword. I'm going to assume that there are good
reasons for this, and leave it as-is.

Note You need to log in before you can comment on or make changes to this bug.